#!/bin/bash

# Install required packages
sudo pip install -r requirements.txt

sudo apt update

sudo apt install espeak

# Clone espeak-ng repository if not already present
if [ ! -d "espeak-ng" ]; then
    sudo git clone https://github.com/espeak-ng/espeak-ng.git
fi

# Change permissions and navigate to the espeak-ng directory
sudo chmod 777 -R espeak-ng
cd espeak-ng

# Build and install espeak-ng
sudo ./autogen.sh
sudo ./configure
sudo make
sudo make install

# Update environment variables
sudo sh -c 'PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin > /etc/environment'
sudo sh -c 'echo "LD_LIBRARY_PATH=/usr/local/lib" >> /etc/environment'
sudo sh -c 'echo "PKG_CONFIG_PATH=/usr/local/lib/pkgconfig" >> /etc/environment'
